## shotcut 17.10

=== CuteLogger/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(CuteLogger)

FIND_PACKAGE(Qt4 COMPONENTS QtCore REQUIRED)
INCLUDE(${QT_USE_FILE})

ADD_DEFINITIONS(-DCUTELOGGER_LIBRARY)

INCLUDE_DIRECTORIES(BEFORE include)

SET(sources
  src/Logger.cpp
  src/AbstractAppender.cpp
  src/AbstractStringAppender.cpp
  src/ConsoleAppender.cpp
  src/FileAppender.cpp
)

SET(includes
  include/Logger.h
  include/FileAppender.h
  include/CuteLogger_global.h
  include/ConsoleAppender.h
  include/AbstractStringAppender.h
  include/AbstractAppender.h
 )


# OutputDebugAppender is only for Windows systems
IF(WIN32)
  SET(sources ${sources} src/OutputDebugAppender.cpp)
  SET(includes ${includes} include/OutputDebugAppender.h)
ENDIF(WIN32)


SET(library_target Logger)

ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
TARGET_LINK_LIBRARIES(${library_target} ${QT_LIBRARIES})
INSTALL(TARGETS ${library_target} DESTINATION lib)

=== debian/changelog ===
shotcut (17.10-1mx17+1) mx; urgency=medium

  * Repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 25 Oct 2017 22:26:28 -0400

shotcut (17.10-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 03 Oct 2017 19:34:03 +0200

shotcut (17.09-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 04 Sep 2017 18:28:44 +0200

shotcut (17.08-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 02 Aug 2017 17:44:03 +0200

shotcut (17.06-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 02 Jun 2017 16:28:43 +0200

shotcut (17.05-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 06 May 2017 00:38:11 +0200

shotcut (17.04-1~getdeb1) yakkety; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 03 Apr 2017 18:09:32 +0200

shotcut (17.03-1~getdeb1) yakkety; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 03 Mar 2017 19:09:11 +0100

shotcut (17.02-1~getdeb1) yakkety; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 01 Feb 2017 18:04:47 +0100

shotcut (17.01-1~getdeb1) yakkety; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 02 Jan 2017 19:15:11 +0100

shotcut (16.12-1~getdeb1) yakkety; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 04 Dec 2016 01:52:26 +0100

shotcut (16.11-1~getdeb1) yakkety; urgency=low

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Mar 2016 18:59:00 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>= 10),
               pkg-config,
               qtbase5-dev,
               libmlt++-dev,
               libmlt-dev,
               qtdeclarative5-dev,
               libqt5opengl5-dev,
               qtmultimedia5-dev,
               libqt5websockets5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               qml-module-qtquick-privatewidgets,
               qtdeclarative5-private-dev,
               qml-module-qtquick-controls,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-extras,
               qml-module-qtquick-layouts
Standards-Version: 3.9.8
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qml-module-qtquick-privatewidgets,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         qml-module-qtquick-layouts
Description: Free, open source, cross-platform video editor
 Shotcut is a free, open source, cross-platform video editor for Windows,
 Mac and Linux. Major features include support for a wide range of formats.
 No import required meaning native timeline editing.
 Blackmagic Design support for input and preview monitoring.
 And resolution support to 4k.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=qt5

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/mltframework/shotcut/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz

## shotcut 18.11.18

=== debian/changelog ===
shotcut (18.11.18-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop -dmo branding and the epoch.
  * Disable automatic dbgmsym packages.
  * Install desktop and icon files from /debian.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Dec 2018 18:12:54 -0800

shotcut-dmo (1:18.11.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Nov 2018 19:03:18 +0100

shotcut-dmo (1:18.11.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Nov 2018 00:48:17 +0100

shotcut-dmo (1:18.11.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Nov 2018 08:08:34 +0100

shotcut-dmo (1:18.10.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Oct 2018 08:52:36 +0200

shotcut-dmo (1:18.10.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Oct 2018 19:08:12 +0200

shotcut-dmo (1:18.09.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Sep 2018 23:07:28 +0200

shotcut-dmo (1:18.09.15-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Sep 2018 17:51:56 +0200

shotcut-dmo (1:18.09.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Sep 2018 00:46:06 +0200

shotcut-dmo (1:18.08.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Aug 2018 08:37:30 +0200

shotcut-dmo (1:18.08.11-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Aug 2018 17:24:32 +0200

shotcut-dmo (1:18.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Aug 2018 22:07:26 +0200

shotcut-dmo (1:18.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jul 2018 20:05:35 +0200

shotcut-dmo (1:18.06.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Jun 2018 07:32:00 +0200

shotcut-dmo (1:18.06-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jun 2018 21:28:28 +0200

shotcut-dmo (1:18.05.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 May 2018 08:02:03 +0200

shotcut-dmo (1:18.03.06-dmo1) unstable; urgency=medium

  * New upstream release.
  * Add libsdl2-2.0-0 and libjack-jackd2-0 to Recommends
  * Disable upstream version check at startup.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Apr 2018 09:30:03 +0200

shotcut-dmo (1:18.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Mar 2018 13:07:40 +0100

shotcut-dmo (1:18.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Jan 2018 08:48:30 +0100

shotcut-dmo (1:17.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Dec 2017 09:02:30 +0100

shotcut-dmo (1:17.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Nov 2017 08:18:41 +0100

shotcut-dmo (1:17.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Oct 2017 09:00:03 +0200

shotcut-dmo (17.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Sep 2017 16:54:49 +0200

shotcut-dmo (17.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Aug 2017 09:10:24 +0200

shotcut-dmo (17.06-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jun 2017 08:41:50 +0200

shotcut-dmo (17.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 May 2017 08:03:18 +0200

shotcut-dmo (17.04-dmo2) unstable; urgency=medium

  * Remove qmelt patch, now we have a qmelt package and add qmelt in
    Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2017 20:13:28 +0200

shotcut-dmo (17.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Apr 2017 08:04:08 +0200

shotcut-dmo (17.03-dmo2) unstable; urgency=medium

  * Should Depends on qml-module-qtquick-dialogs (Thanks to Спицын Андрей
    for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2017 18:24:44 +0100

shotcut-dmo (17.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2017 08:15:04 +0100

shotcut-dmo (17.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 08:42:44 +0100

shotcut-dmo (17.01-dmo2) unstable; urgency=medium

  * Under Linux the render tool is called melt not qmelt.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Jan 2017 08:20:07 +0100

shotcut-dmo (17.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2017 08:34:59 +0100

shotcut-dmo (16.12-dmo1) unstable; urgency=medium



=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.shotcutapp.com/
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 10),
               qt5-qmake,
               qtbase5-dev,
               libqt5x11extras5-dev,
               qtmultimedia5-dev,
               libqt5webkit5-dev,
               pkg-config,
               libqt5opengl5-dev,
               libqt5websockets5-dev,
               qtdeclarative5-private-dev,
               libmlt-dev (>= 6.8.0~),
               libmlt++-dev (>= 6.10.0~),
               qttools5-dev-tools

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         melt, 
         qmelt, 
         shotcut-data (>= ${source:Version}), 
         qml-module-qtquick-extras, 
         qml-module-qtquick-controls,
         qml-module-qtqml-models2,
         qml-module-qtquick-dialogs
Recommends: frei0r-plugins, ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats. 
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats. 
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.
 .
 This package contains QML files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ -Sqmake 

override_dh_auto_install:
	dh_auto_install

	chmod 644 debian/tmp/usr/share/shotcut/qml/filters/webvfx_ruttetraizer/ruttetraizer.html

override_dh_clean:
	dh_clean .qmake.cache

override_dh_strip:
	dh_strip --no-automatic-dbgsym

#
# To find QML package :
# rgrep import *| cut -d' ' -f2| sort| uniq
# Then search packages with apt-file
#
# qml-module-qtgraphicaleffects
# qml-module-qtquick-dialogs

## shotcut 19.01.27

=== packaging/linux/Makefile ===
all: snap appimage
.PHONY: all snap appimage

snap:
	mkdir -p snap/gui
	cp ../../icons/shotcut-logo-64.png snap/gui
	cp org.shotcut.Shotcut.desktop snap/gui/shotcut.desktop
	sed -i 's|Icon=.*|Icon=$${SNAP}/meta/gui/shotcut-logo-64.png|' snap/gui/shotcut.desktop
	cat snap/gui/shotcut.desktop
	snapcraft cleanbuild

appimage: appimage/appimage.yml
	wget -N https://raw.githubusercontent.com/probonopd/AppImages/master/pkg2appimage
	bash -ex pkg2appimage appimage/appimage.yml

clean:
	rm -rf out pkg2appimage Shotcut

=== debian/changelog ===
shotcut (19.01.27-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop -dmo branding and the epoch.
  * Disable automatic dbgmsym packages.
  * Drop quilt from rules and B-Ds, also drop qt5-default from B-Ds in favor of
    using QT_SELECT in rules instead.
  * Drop to debhelper 10 compat to ease backports.
  * Install desktop and icon files from /debian.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 12 Feb 2019 17:52:44 -0800

shotcut-dmo (1:19.01.27-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Jan 2019 13:40:35 +0100

shotcut-dmo (1:19.01.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Jan 2019 00:07:21 +0100

shotcut-dmo (1:19.01.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Jan 2019 14:16:12 +0100

shotcut-dmo (1:18.12.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Dec 2018 23:24:06 +0100

shotcut-dmo (1:18.12.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Dec 2018 00:36:14 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.shotcutapp.com/
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10), qt5-qmake,
 libqt5x11extras5-dev, qtmultimedia5-dev, libqt5webkit5-dev, pkg-config,
 libqt5opengl5-dev, libqt5websockets5-dev, qtdeclarative5-private-dev,
 libmlt-dev (>= 6.8.0~), libmlt++-dev (>= 6.10.0~), qttools5-dev-tools

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         melt, qmelt, shotcut-data (>= ${source:Version}),
         qml-module-qtquick-extras, qml-module-qtquick-controls,
         qml-module-qtqml-models2, qml-module-qtquick-dialogs,
         frei0r-plugins, ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.
 .
 This package contains QML files.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-export QT_SELECT=qt5
+export QT_SELECT=5
 
 %:
-	dh $@ -Sqmake 
+	dh $@ -Sqmake
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4

https://github.com/mltframework/shotcut/releases \
.*/archive/v(.*)\.tar.*

## shotcut 19.08.16

=== debian/changelog ===
shotcut (1:19.08.16-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Removed epoch for mlt BD's
  * Drop -dmo branding and the epoch.
  * Disable automatic dbgmsym packages.
  * Drop quilt from rules and B-Ds, also drop qt5-default from B-Ds in favor of
    using QT_SELECT in rules instead.
  * Drop to debhelper 10 compat to ease backports.
  * Install desktop and icon files from /debian.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Sep 2019 05:34:52 -0700

shotcut-dmo (1:19.08.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2019 22:18:39 +0200

shotcut-dmo (1:19.07.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jul 2019 18:47:25 +0200

shotcut-dmo (1:19.06.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Jun 2019 00:00:13 +0200

shotcut-dmo (1:19.04.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 May 2019 08:57:15 +0200

shotcut-dmo (1:19.02.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Mar 2019 07:54:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT=5

%:
	dh $@ -Sqmake

override_dh_auto_install:
	dh_auto_install

	chmod 644 debian/tmp/usr/share/shotcut/qml/filters/webvfx_ruttetraizer/ruttetraizer.html

override_dh_clean:
	dh_clean .qmake.cache packaging/linux/org.shotcut.Shotcut.appdata.xml

override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
	#
# To find QML package :
# grep -Fhr 'import Qt' src | cut -d ' ' -f 2-3 | sort | uniq
# Then search packages with apt-file
#
# qml-module-qtqml-models2
# qml-module-qtquick-controls --> qml-module-qtgraphicaleffects, qml-module-qtquick-layouts, qml-module-qtquick-window2
# qml-module-qtquick-controls2
# qml-module-qtquick-dialogs
# qml-module-qtquick-extras

## shotcut 19.10.20

=== debian/changelog ===
shotcut (1:19.10.20-3~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Stripped dmo from package identities.
  * Lowered compat to 11.
  * Added install for desktop launcher & image.
  * Removed epoch from mlt package versions in control file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Nov 2019 13:55:20 -0700

shotcut-dmo (1:19.10.20-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:39:41 +0200

shotcut-dmo (1:19.10.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Oct 2019 00:12:45 +0200

shotcut-dmo (1:19.09.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Sep 2019 00:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: shotcut
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.shotcutapp.com/
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10), qt5-qmake,
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 11), qt5-qmake, qt5-default, quilt,
  libqt5x11extras5-dev, qtmultimedia5-dev, libqt5webkit5-dev, pkg-config,
  libqt5opengl5-dev, libqt5websockets5-dev, qtdeclarative5-private-dev,
- libmlt-dev (>= 6.8.0~), libmlt++-dev (>= 6.10.0~), qttools5-dev-tools
+ libmlt-dev (>= 6.16.0~), libmlt++-dev (>= 6.16.0~), qttools5-dev-tools
 
 Package: shotcut
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         melt, qmelt, shotcut-data (>= ${source:Version}),
-         qml-module-qtquick-extras, qml-module-qtquick-controls,
-         qml-module-qtqml-models2, qml-module-qtquick-dialogs,
-         frei0r-plugins, ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
+Depends: ${shlibs:Depends}, ${misc:Depends}, melt, qmelt, shotcut-data (>= ${source:Version}), 
+ qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs,
+ qml-module-qtquick-extras
+Recommends: frei0r-plugins, ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
 Description: Video editor
  A free and open-source cross-platform video editing application.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export QT_SELECT=5
 
 %:
-	dh $@ -Sqmake
+	dh $@ -Sqmake 
 
 override_dh_auto_install:
 	dh_auto_install
@@ -14,10 +13,7 @@
 override_dh_clean:
 	dh_clean .qmake.cache packaging/linux/org.shotcut.Shotcut.appdata.xml
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
-	#
+#
 # To find QML package :
 # grep -Fhr 'import Qt' src | cut -d ' ' -f 2-3 | sort | uniq
 # Then search packages with apt-file
@@ -27,3 +23,7 @@
 # qml-module-qtquick-controls2
 # qml-module-qtquick-dialogs
 # qml-module-qtquick-extras
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+

## shotcut 20.02.02

=== debian/changelog ===
shotcut (1:20.02.02-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop dmo branding.
  * Drop qt5-default, qmake-qt5, and quilt BDs, use QT select instead in rules.
  * Minimum required version of mlt is 6.18.0

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Feb 2020 10:30:14 -0800

shotcut-dmo (1:20.02.02-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Feb 2020 19:09:28 +0100

shotcut-dmo (1:19.12.31-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Dec 2019 22:51:23 +0100

shotcut-dmo (1:19.12.23-dmo2) unstable; urgency=medium

  * Add missing files found in /usr/share in the shotcut-data package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2019 23:18:50 +0100

shotcut-dmo (1:19.12.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2019 22:52:03 +0100

shotcut-dmo (1:19.12.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 00:33:18 +0100

shotcut-dmo (1:19.12.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2019 08:44:48 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.shotcutapp.com/
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12),
               libmlt++-dev (>= 6.18.0~),
               libmlt-dev (>= 6.18.0~),
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqt5websockets5-dev,
               libqt5x11extras5-dev,
               pkg-config,
#               qt5-default,
#               qt5-qmake,
               qtdeclarative5-private-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools,
#               quilt

Package: shotcut
Architecture: any
Depends: melt,
         qmelt,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         frei0r-plugins, ladspa-plugin, libjack-jackd2-0, libsdl2-2.0-0
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}
Description: architecture-independent QML files for Shotcut
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.
 .
 This package contains QML files.

=== debian/rules ===
#!/usr/bin/make -f

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	chmod 644 debian/tmp/usr/share/shotcut/qml/filters/webvfx_ruttetraizer/ruttetraizer.html

override_dh_clean:
	dh_clean drmingw/x64/bin/*.dll drmingw/x64/bin/*.exe \
	 .qmake.cache packaging/linux/org.shotcut.Shotcut.appdata.xml

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## shotcut 20.02.17

=== packaging/linux/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	snapcraft cleanbuild
 
 appimage: appimage/appimage.yml
+	mkdir -p Shotcut
+	echo $(shell wget -q "https://api.github.com/repos/mltframework/shotcut/releases/latest"  -O - | grep tag_name | cut -d'"' -f4 | sed 's|^v||') > Shotcut/VERSION
 	wget -N https://raw.githubusercontent.com/probonopd/AppImages/master/pkg2appimage
 	bash -ex pkg2appimage appimage/appimage.yml

=== debian/changelog ===
shotcut (20.02.17-2) unstable; urgency=medium

  * d/control: add melt to Depends. (Closes: #951727)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 21 Feb 2020 09:04:34 +0100

shotcut (20.02.17-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 18 Feb 2020 05:48:38 +0100

shotcut (20.02.02-1) unstable; urgency=medium

  * New upstream version.
  * Patches dropped, fixed upstream.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Feb 2020 07:51:51 +0100

shotcut (19.12.31-2) unstable; urgency=medium

  * Bump standards version to 4.5.0
  * Apply patch for reproducible builds. (Closes: #949817)
    Thanks Chris Lamby.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Feb 2020 05:17:34 +0100

shotcut (19.12.31-1) unstable; urgency=medium

  * Initial release. (Closes: #880479)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 03 Jan 2020 09:22:29 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libmlt++-dev, libmlt-dev, qtbase5-dev, qml-module-qtmultimedia, qml-module-qtquick-privatewidgets, libqt5x11extras5-dev, libmovit-dev, frei0r-plugins-dev, libmp3lame-dev, libx264-dev, qtmultimedia5-dev, libqt5websockets5-dev, qtdeclarative5-dev, qtdeclarative5-private-dev, libqt5webkit5-dev, qttools5-dev-tools, libqt5opengl5-dev, libjs-three
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-layouts, qml-module-qtquick-extras, qml-module-qtqml-models2, melt
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/mltframework/shotcut/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## shotcut 20.04.12

=== debian/changelog ===
shotcut (1:20.04.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add epoch for MX's version.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jun 2020 15:16:10 -0700

shotcut (20.04.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Apr 2020 08:57:14 +0200

shotcut (20.04.05~b2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 10 Apr 2020 13:43:19 +0200

shotcut (20.02.17-3) unstable; urgency=medium

  * Add frei0r-plugins to Depends. (Closes: #951677)
  * Update build-depends to stop build failures on armhf/armel.
    (Closes: #950667)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Apr 2020 12:29:07 +0200

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11),
               frei0r-plugins-dev,
               libjs-three,
               libmlt++-dev (>= 6.20~),
               libmlt-dev (>= 6.20~),
               libmovit-dev,
               libmp3lame-dev,
               libqt5opengl5-desktop-dev (>= 5.9.0),
               libqt5webkit5-dev (>= 5.9.0),
               libqt5websockets5-dev (>= 5.9.0),
               libqt5x11extras5-dev (>= 5.9.0),
               libx264-dev,
               qml-module-qtmultimedia,
               qml-module-qtquick-privatewidgets,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libjs-three,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

=== debian/rules ===
#!/usr/bin/make -f

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## shotcut 20.09.27+ds

=== debian/changelog ===
shotcut (20.09.27+ds-1) unstable; urgency=medium

  * New upstream version.
    - Fixes build with Qt 5.15. (Closes: #972176)
  * Bump debhelper version to 13, drop d/compat.
  * Added upstream metadata file.
  * d/control: added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
    - added Files-Excluded.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 16 Oct 2020 12:47:32 +0200

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), libmlt++-dev, libmlt-dev, qtbase5-dev, qml-module-qtmultimedia, qml-module-qtquick-privatewidgets, libqt5x11extras5-dev, libmovit-dev, frei0r-plugins-dev, libmp3lame-dev, libx264-dev, qtmultimedia5-dev, libqt5websockets5-dev, qtdeclarative5-dev, qtdeclarative5-private-dev, libqt5webkit5-dev, qttools5-dev-tools, libqt5opengl5-desktop-dev, libjs-three
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-layouts, qml-module-qtquick-extras, qml-module-qtqml-models2, melt, frei0r-plugins
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/mltframework/shotcut/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## shotcut 20.11.28+ds

=== debian/changelog ===
shotcut (20.11.28+ds-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Dec 2020 10:18:29 +0100

shotcut (20.11.28+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: dropped.
  * d/s/lintian-overrides: drop curses, fix typo.
  * d/control:
    - drop duplicate Depends, add Build-Depends: qtquickcontrols2-5-dev.
    - split parts to arch-indep package, add breaks/replaces.
  * d/copyright: drop a no more matching entry.
  * d/manpages and shotcut.1: dropped, switch to upstream version.
  * d/watch: cleaned up lintian.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 30 Nov 2020 10:34:24 +0100

## shotcut 21.01.29+ds

=== CuteLogger/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,8 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
 
 PROJECT(CuteLogger)
 
-FIND_PACKAGE(Qt4 COMPONENTS QtCore REQUIRED)
-INCLUDE(${QT_USE_FILE})
+FIND_PACKAGE(Qt5Core REQUIRED)
 
 ADD_DEFINITIONS(-DCUTELOGGER_LIBRARY)
 
@@ -15,6 +14,7 @@
   src/AbstractStringAppender.cpp
   src/ConsoleAppender.cpp
   src/FileAppender.cpp
+  src/RollingFileAppender.cpp
 )
 
 SET(includes
@@ -24,6 +24,7 @@
   include/ConsoleAppender.h
   include/AbstractStringAppender.h
   include/AbstractAppender.h
+  include/RollingFileAppender.h
  )
 
 
@@ -34,8 +35,8 @@
 ENDIF(WIN32)
 
 
-SET(library_target Logger)
+SET(library_target CuteLogger)
 
 ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
-TARGET_LINK_LIBRARIES(${library_target} ${QT_LIBRARIES})
+TARGET_LINK_LIBRARIES(${library_target} Qt5::Core)
 INSTALL(TARGETS ${library_target} DESTINATION lib)

=== packaging/linux/Makefile ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	cp org.shotcut.Shotcut.desktop snap/gui/shotcut.desktop
 	sed -i 's|Icon=.*|Icon=$${SNAP}/meta/gui/shotcut-logo-64.png|' snap/gui/shotcut.desktop
 	cat snap/gui/shotcut.desktop
-	snapcraft cleanbuild
+	VERSION=$(shell wget -q "https://api.github.com/repos/mltframework/shotcut/releases/latest"  -O - | grep tag_name | cut -d'"' -f4 | sed 's|^v||')
+	FILENAME="https://github.com/mltframework/shotcut/releases/download/v${VERSION}/shotcut-linux-x86_64-$(shell echo $VERSION | tr -d .).txz"
+	sed "s/\$VERSION/${VERSION}/ ; s/\$FILENAME/${FILENAME}/" snapcraft.yaml.in > snap/snapcraft.yaml
+	snapcraft --use-lxd
 
 appimage: appimage/appimage.yml
 	mkdir -p Shotcut
@@ -17,4 +20,3 @@
 
 clean:
 	rm -rf out pkg2appimage Shotcut
-

=== debian/changelog ===
shotcut (21.01.29+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 31 Jan 2021 23:09:30 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends:
 debhelper-compat (= 13),
 libmlt++-dev,
 libmlt-dev,
 qtbase5-dev,
 qml-module-qtmultimedia,
 qml-module-qtquick-privatewidgets,
 libqt5x11extras5-dev,
 libmovit-dev,
 frei0r-plugins-dev,
 libmp3lame-dev,
 libx264-dev,
 qtmultimedia5-dev,
 libqt5websockets5-dev,
 qtquickcontrols2-5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-private-dev,
 libqt5webkit5-dev,
 qttools5-dev-tools,
 libqt5opengl5-desktop-dev,
 libjs-three
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-extras, qml-module-qtqml-models2, melt, frei0r-plugins, shotcut-data (>= ${source:Version})
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

## shotcut 22.01.30+ds

=== debian/changelog ===
shotcut (22.01.30+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 30 Jan 2022 21:54:21 +0100

shotcut (22.01.17~beta1+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 18 Jan 2022 10:41:37 +0100

shotcut (21.12.24+ds-2) unstable; urgency=medium

  * d/control: add frei0r-plugins to depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 03 Jan 2022 13:44:05 +0100

shotcut (21.12.24+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 25 Dec 2021 21:34:24 +0100

shotcut (21.12.21+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 22 Dec 2021 05:42:11 +0100

shotcut (21.10.31+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Mon, 01 Nov 2021 08:07:55 +0100

shotcut (21.09.20+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 22 Sep 2021 08:58:14 +0200

shotcut (21.09.13+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Sep 2021 08:19:39 +0200

shotcut (21.08.29+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #993837)
  * Bump standards version to 4.5.1.
  * d/control: add build-depends on libx265-dev.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Sep 2021 09:14:45 +0200

shotcut (21.03.21+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/control: add depends on libjs-three. (Closes: #985868)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 29 Mar 2021 13:23:53 +0200

shotcut (21.02.27+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Feb 2021 14:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libmlt++-dev,
@@ -15,6 +15,7 @@
  frei0r-plugins-dev,
  libmp3lame-dev,
  libx264-dev,
+ libx265-dev,
  qtmultimedia5-dev,
  libqt5websockets5-dev,
  qtquickcontrols2-5-dev,
@@ -24,7 +25,7 @@
  qttools5-dev-tools,
  libqt5opengl5-desktop-dev,
  libjs-three
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
@@ -32,7 +33,7 @@
 
 Package: shotcut
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-extras, qml-module-qtqml-models2, melt, frei0r-plugins, shotcut-data (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-extras, qml-module-qtqml-models2, melt, frei0r-plugins, shotcut-data (>= ${source:Version}), frei0r-plugins
 Description: video editor
  This is a video editor with features like 4k resolution support,
  network stream playback, audio/webcam captures, and many more.

=== debian/watch ===
version=4
# GitHub hosted projects
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/mltframework/shotcut/tags .*/v?(\d\S*)\.tar\.gz
